org.apache.tools.ant.types.selectors

## Interface ExtendFileSelector

All Superinterfaces:
  FileSelector, Parameterizable

All Known Implementing Classes:
  BaseExtendSelector, ContainsRegexpSelector, ContainsSelector, DateSelector, DepthSelector, FilenameSelector, ModifiedSelector, SizeSelector, TypeSelector

    public interface ExtendFileSelector
    extends FileSelector, Parameterizable

This is the interface to be used by all custom selectors, those that are called through the <custom> tag. It is the amalgamation of two interfaces, the FileSelector and the Parameterizable interface. Note that you will almost certainly want the default behaviour for handling Parameters, so you probably want to use the BaseExtendSelector class as the base class for your custom selector rather than implementing this interface from scratch.

Since:
  1.5

### Method Summary

### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

`isSelected`

### Methods inherited from interface org.apache.tools.ant.types.Parameterizable

`setParameters`